Skip to main content
GET
Tokens

Query Parameters

includeMetadata
boolean
default:false

Whether to include token metadata (symbol, name and logos)

Example:

false

chainId
number

Chain ID of the network of the token

Example:

1

project
string

The overarching project or platform associated with the DeFi token, for example aave

Example:

"aave"

protocolSlug
string

The specific standard integration or version of the DeFi project, for example aave-v2

Example:

"aave-v2"

address
string[]

Ethereum addresses of the tokens

Example:
underlyingTokens
string[]

Underlying tokens of defi token

Example:
underlyingTokensExact
string[]

Exact composition of underlying tokens of defi token

Example:
primaryAddress
string[]

Ethereum addresses for contract interaction of defi tokens

Example:
apyFrom
number

Only include tokens with APY over this value

Example:

1

apyTo
number

Only include tokens with APY below this value

Example:

10

tvlFrom
number

Only include tokens with TVL over this value

Example:

0

tvlTo
number

Only include tokens with TVL below this value

Example:

10000000

type
enum<string>

Type of token. If not provided, both types will be taken into account

Available options:
defi,
base
Example:

"defi"

page
number

Pagination page number. Pages are of length 1000

Example:

"1"

cursor
number

Cursor for pagination. Pages are of length 1000

Example:

"1233456"

name
string[]

Names of the tokens

Example:
symbol
string[]

Symbols of the tokens

Example:
pageSize
number
default:1000

Number of items per page (max 1000)

Example:

100

includeUnderlying
boolean
default:true

Whether to include underlying tokes

Example:

false

Response

200 - application/json
meta
object
required

Metadata for pagination

data
object[]

Returned data for current page